# Akamai\Open\EdgeGrid\Authentication::setConfig

#### Set Guzzle config

This is a convenient way to pass in the body/query/headers options

## Signature

`public function setConfig(array $config )`

## Parameters

`$config` — array

## Returns

Authentication

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 1
- Passed: 1 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testSetConfig